org.apache.solr.common.util

## Class XMLErrorLogger

- java.lang.Object
- - org.apache.solr.common.util.XMLErrorLogger

- All Implemented Interfaces:
    XMLReporter, ErrorListener, ErrorHandler

      public final class XMLErrorLogger
      extends Object
      implements ErrorHandler, ErrorListener, XMLReporter

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `XMLErrorLogger(org.slf4j.Logger log)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `error(SAXParseException e)`
    `void` | `error(TransformerException e)`
    `void` | `fatalError(SAXParseException e)`
    `void` | `fatalError(TransformerException e)`
    `void` | `report(String message, String errorType, Object relatedInformation, Location loc)`
    `void` | `warning(SAXParseException e)`
    `void` | `warning(TransformerException e)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XMLErrorLogger

          public XMLErrorLogger(org.slf4j.Logger log)

  - ### Method Detail

    - #### warning

          public void warning(SAXParseException e)

      Specified by:
        `warning` in interface `ErrorHandler`

    - #### error

          public void error(SAXParseException e)
                     throws SAXException

      Specified by:
        `error` in interface `ErrorHandler`
      Throws:
        `SAXException`

    - #### fatalError

          public void fatalError(SAXParseException e)
                          throws SAXException

      Specified by:
        `fatalError` in interface `ErrorHandler`
      Throws:
        `SAXException`

    - #### warning

          public void warning(TransformerException e)

      Specified by:
        `warning` in interface `ErrorListener`

    - #### error

          public void error(TransformerException e)
                     throws TransformerException

      Specified by:
        `error` in interface `ErrorListener`
      Throws:
        `TransformerException`

    - #### fatalError

          public void fatalError(TransformerException e)
                          throws TransformerException

      Specified by:
        `fatalError` in interface `ErrorListener`
      Throws:
        `TransformerException`

    - #### report

          public void report(String message,
                             String errorType,
                             Object relatedInformation,
                             Location loc)

      Specified by:
        `report` in interface `XMLReporter`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.